from sanic import Blueprint, Request

import time

from .common import common_api



bp_sif_unit = Blueprint("sif_unit", url_prefix="unit")



@bp_sif_unit.route("unitAll", methods=["POST"])
@common_api
async def unitAll(request: Request):
    
    ### TODO - PLACEHOLDER ###
    
    active = []
    for i in range(9):
        active.append({
            "unit_owning_user_id": 38383+i,
            "unit_id": i+1,
            "exp": 8000,
            "next_exp": 0,
            "level": 40,
            "max_level": 40,
            "level_limit_id": 0,
            "rank": 1,
            "max_rank": 2,
            "love": 50,
            "max_love": 50,
            "unit_skill_exp": 0,
            "unit_skill_level": 0,
            "max_hp": 3,
            "unit_removable_skill_capacity": 0,
            "favorite_flag": False,
            "display_rank": 2,
            "is_rank_max": False,
            "is_love_max": False,
            "is_level_max": False,
            "is_signed": False,
            "is_skill_level_max": False,
            "is_removable_skill_capacity_max": False,
            "insert_date": "2023-03-13 11:47:24"
        })
    
    resp = {
        "active": active,
        "waiting": []
    }
    return resp